curl --request POST \
--url https://restapi.sign.plus/v2/template/{template_id}/annotation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"document_id": "<string>",
"page": 123,
"x": 123,
"y": 123,
"width": 123,
"height": 123,
"recipient_id": "<string>",
"required": true,
"signature": {
"id": "<string>"
},
"initials": {
"id": "<string>"
},
"text": {
"size": 123,
"color": 123,
"value": "<string>",
"tooltip": "<string>",
"dynamic_field_name": "<string>",
"font": {
"italic": true,
"bold": true
}
},
"datetime": {
"size": 123,
"font": {
"italic": true,
"bold": true
},
"color": "<string>",
"auto_fill": true,
"timezone": "<string>",
"timestamp": 123
},
"checkbox": {
"checked": true
}
}
'import requests
url = "https://restapi.sign.plus/v2/template/{template_id}/annotation"
payload = {
"document_id": "<string>",
"page": 123,
"x": 123,
"y": 123,
"width": 123,
"height": 123,
"recipient_id": "<string>",
"required": True,
"signature": { "id": "<string>" },
"initials": { "id": "<string>" },
"text": {
"size": 123,
"color": 123,
"value": "<string>",
"tooltip": "<string>",
"dynamic_field_name": "<string>",
"font": {
"italic": True,
"bold": True
}
},
"datetime": {
"size": 123,
"font": {
"italic": True,
"bold": True
},
"color": "<string>",
"auto_fill": True,
"timezone": "<string>",
"timestamp": 123
},
"checkbox": { "checked": True }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
document_id: '<string>',
page: 123,
x: 123,
y: 123,
width: 123,
height: 123,
recipient_id: '<string>',
required: true,
signature: {id: '<string>'},
initials: {id: '<string>'},
text: {
size: 123,
color: 123,
value: '<string>',
tooltip: '<string>',
dynamic_field_name: '<string>',
font: {italic: true, bold: true}
},
datetime: {
size: 123,
font: {italic: true, bold: true},
color: '<string>',
auto_fill: true,
timezone: '<string>',
timestamp: 123
},
checkbox: {checked: true}
})
};
fetch('https://restapi.sign.plus/v2/template/{template_id}/annotation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"recipient_id": "<string>",
"document_id": "<string>",
"page": 123,
"x": 123,
"y": 123,
"width": 123,
"height": 123,
"required": true,
"signature": {
"id": "<string>"
},
"initials": {
"id": "<string>"
},
"text": {
"size": 123,
"color": 123,
"value": "<string>",
"tooltip": "<string>",
"dynamic_field_name": "<string>",
"font": {
"italic": true,
"bold": true
}
},
"datetime": {
"size": 123,
"font": {
"italic": true,
"bold": true
},
"color": "<string>",
"auto_fill": true,
"timezone": "<string>",
"timestamp": 123
},
"checkbox": {
"checked": true
}
}Add template annotation
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the template
Body
ID of the document
Page number where the annotation is placed
X coordinate of the annotation (in % of the page width from 0 to 100) from the top left corner
Y coordinate of the annotation (in % of the page height from 0 to 100) from the top left corner
Width of the annotation (in % of the page width from 0 to 100)
Height of the annotation (in % of the page height from 0 to 100)
Type of the annotation
TEXT, SIGNATURE, INITIALS, CHECKBOX, DATE ID of the recipient
Signature annotation (null if annotation is not a signature)
Show child attributes
Show child attributes
Initials annotation (null if annotation is not initials)
Show child attributes
Show child attributes
Text annotation (null if annotation is not a text)
Show child attributes
Show child attributes
Date annotation (null if annotation is not a date)
Show child attributes
Show child attributes
Checkbox annotation (null if annotation is not a checkbox)
Show child attributes
Show child attributes
Response
Annotation added successfully
Unique identifier of the annotation
ID of the recipient
ID of the document
Page number where the annotation is placed
X coordinate of the annotation (in % of the page width from 0 to 100) from the top left corner
Y coordinate of the annotation (in % of the page height from 0 to 100) from the top left corner
Width of the annotation (in % of the page width from 0 to 100)
Height of the annotation (in % of the page height from 0 to 100)
Whether the annotation is required
Type of the annotation
TEXT, SIGNATURE, INITIALS, CHECKBOX, DATE Signature annotation (null if annotation is not a signature)
Show child attributes
Show child attributes
Initials annotation (null if annotation is not initials)
Show child attributes
Show child attributes
Text annotation (null if annotation is not a text)
Show child attributes
Show child attributes
Date annotation (null if annotation is not a date)
Show child attributes
Show child attributes
Checkbox annotation (null if annotation is not a checkbox)
Show child attributes
Show child attributes